Package ghidra.util.datastruct

# Class ListAccumulator<T>

java.lang.Object
ghidra.util.datastruct.ListAccumulator<T>

All Implemented Interfaces:
  `Accumulator<T>`, `Iterable<T>`, `Consumer<T>`

public class ListAccumulator<T> extends Object implements Accumulator<T>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ListAccumulator()`
  `ListAccumulator(List<T> list)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(T t)`
  `void`
  `addAll(Collection<T> collection)`
  `List<T>`
  `asList()`
  `boolean`
  `contains(T t)`
  `Collection<T>`
  `get()`
  `Iterator<T>`
  `iterator()`
  `int`
  `size()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ghidra.util.datastruct.Accumulator

  `accept, isEmpty, stream`

  ### Methods inherited from interface java.util.function.Consumer

  `andThen`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### ListAccumulator

    public ListAccumulator()

  - ### ListAccumulator

    public ListAccumulator(List<T> list)

- ## Method Details

  - ### add

    public void add(T t)
    Specified by:
      `add` in interface `Accumulator<T>`

  - ### addAll

    public void addAll(Collection<T> collection)
    Specified by:
      `addAll` in interface `Accumulator<T>`

  - ### contains

    public boolean contains(T t)
    Specified by:
      `contains` in interface `Accumulator<T>`

  - ### get

    public Collection<T> get()
    Specified by:
      `get` in interface `Accumulator<T>`

  - ### asList

    public List<T> asList()

  - ### size

    public int size()
    Specified by:
      `size` in interface `Accumulator<T>`

  - ### iterator

    public Iterator<T> iterator()
    Specified by:
      `iterator` in interface `Iterable<T>`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`